Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.list.tags
Class ValueTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.list.tags.GenericListTag
                      org.makumba.list.tags.ValueTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class ValueTag

extends GenericListTag

mak:value tag FIXME use formatters in order to compute the editor fields TODO implement support for in-place edition of dates and others

Author:
  Cristian Bogdan, Manuel Gay, Marius Andra
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.list.tags.GenericListTag
`fdp`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ValueTag()`

Method Summary
`protected void` | `doAnalyzedCleanup()` Called by doEndTag in its finally block.
`int` | `doAnalyzedStartTag(PageCache pageCache)` Asks the ValueComputer to present the expression
`void` | `doEndAnalyze(PageCache pageCache)` Tells the ValueComputer to finish analysis, and sets the types for var and printVar.
`void` | `doStartAnalyze(PageCache pageCache)` Determines the ValueComputer and caches it with the tagKey
`String` | `getEditPage()`
`String` | `getExpr()`
`String` | `getLogicClass()`
`String` | `getPrintVar()`
`String` | `getVar()`
`void` | `setEditable(String s)`
`void` | `setEditPage(String editPage)`
`void` | `setExpr(String expr)`
`void` | `setLogicClass(String logicClass)`
`void` | `setPrintVar(String var)`
`void` | `setTagKey(PageCache pageCache)` Sets tagKey to uniquely identify this tag.
`void` | `setVar(String var)`
`String` | `toString()` Computes a string

Methods inherited from class org.makumba.list.tags.GenericListTag
`addToParentListKey, doEndTag, getDatabaseName, getDataSourceName, onlyRootArgument, setDb`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, initialiseState, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doAnalyzedEndTag, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueTag

    public ValueTag()

Method Detail

### setExpr

    public void setExpr(String expr)

### setVar

    public void setVar(String var)

### setPrintVar

    public void setPrintVar(String var)

### setEditable

    public void setEditable(String s)

### setLogicClass

    public void setLogicClass(String logicClass)

### setEditPage

    public void setEditPage(String editPage)

### getLogicClass

    public String getLogicClass()

### getEditPage

    public String getEditPage()

### getExpr

    public String getExpr()

### getPrintVar

    public String getPrintVar()

### getVar

    public String getVar()

### setTagKey

    public void setTagKey(PageCache pageCache)

  Sets tagKey to uniquely identify this tag. Called at analysis time before doStartAnalyze() and at runtime before doMakumbaStartTag()

  Overrides:
    `setTagKey` in class `AnalysableTag`
  Parameters:
    `pageCache` - the page cache of the current page
  See Also:
    `AnalysableTag.doAnalyzedStartTag(org.makumba.analyser.PageCache)`, `AnalysableTag.doStartAnalyze(org.makumba.analyser.PageCache)`

### doStartAnalyze

    public void doStartAnalyze(PageCache pageCache)

  Determines the ValueComputer and caches it with the tagKey

  Overrides:
    `doStartAnalyze` in class `AnalysableTag`
  Parameters:
    `pageCache` - the page cache of the current page

### doEndAnalyze

    public void doEndAnalyze(PageCache pageCache)

  Tells the ValueComputer to finish analysis, and sets the types for var and printVar.

  Overrides:
    `doEndAnalyze` in class `AnalysableTag`
  Parameters:
    `pageCache` - the page cache of the current page

### doAnalyzedStartTag

    public int doAnalyzedStartTag(PageCache pageCache)
                           throws JspException,
                                  LogicException

  Asks the ValueComputer to present the expression

  Overrides:
    `doAnalyzedStartTag` in class `AnalysableTag`
  Parameters:
    `pageCache` - the page cache of the current page
  Throws:
    `JspException`
    `LogicException`
  See Also:
    `AnalysableTag.doStartTag()`

### toString

    public String toString()

  Computes a string

  Overrides:
    `toString` in class `GenericMakumbaTag`
  Returns:
    A String holding the value in a form useful for debugging

### doAnalyzedCleanup

    protected void doAnalyzedCleanup()

  Description copied from class: `AnalysableTag`
  Called by doEndTag in its finally block. Use it to clean references that will not be used next time the servlet container uses the tag object.

  Overrides:
    `doAnalyzedCleanup` in class `GenericMakumbaTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20